global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
dashboard:
  enabled: false
  name: freeleaps-prod-devsvc-dashboard
  title: Dev Service Dashboard
  metricsPrefix: freeleaps_devsvc
logIngest:
  enabled: false
  lokiEndpoint: http://loki-gateway.freeleaps-logging-system
  logPathPattern: /app/log/devsvc/*.log
  logPath: /app/log/devsvc
devsvc:
  replicas: 1
  image:
    registry:
    repository: freeleaps
    name: devsvc
    tag: 1.0.0
    imagePullPolicy: IfNotPresent
  ports:
    - name: http
      containerPort: 8007
      protocol: TCP
  resources:
    requests:
      cpu: "0.5"
      memory: "512Mi"
    limits:
      cpu: "1"
      memory: "1Gi"
  # FIXME: Wait until the developers implements the probes APIs
  probes: {}
  services:
    - name: devsvc-service
      type: ClusterIP
      port: 8007
      targetPort: 8007
      serviceMonitor:
        enabled: false
        labels:
          release: kube-prometheus-stack
        namespace: freeleaps-monitoring-system
        interval: 30s
        scrapeTimeout: ""
  # Defaults to {}, which means doesn't have any ingress
  ingresses: {}
  configs:
    # TZ
    tz: "UTC"
    # APP_NAME
    appName: "devsvc"
    # SERVICE_API_ACCESS_HOST
    serviceApiAccessHost: "0.0.0.0"
    # SERVICE_API_ACCESS_PORT
    serviceApiAccessPort: "8013"
    # MONGODB_NAME
    mongodbName: ""
    # GITEA_URL
    giteaUrl: ""
    # GITEA_DEPOT_ORGANIZATION
    giteaDepotOrganization: ""
    # CODE_DEPOT_HTTP_PORT
    codeDepotHttpPort: ""
    # CODE_DEPOT_SSH_PORT
    codeDepotSshPort: ""
    # CODE_DEPOT_DOMAIN_NAME
    codeDepotDomainName: ""
    # METRICS_ENABLED
    metricsEnabled: "false"
    # PROBES_ENABLED
    probesEnabled: "false"
    # RABBITMQ_HOST
    rabbitmqHost: ""
    # RABBITMQ_PORT
    rabbitmqPort: ""
    # RABBITMQ_USERNAME
    rabbitmqUsername: ""
    # RABBITMQ_VIRTUAL_HOST
    rabbitmqVirtualHost: ""
    # DEFAULT_GIT_USERNAME
    defaultGitUsername: ""
    # DEVOPS_DOCKER_REGISTRY_URL
    devopsDockerRegistryUrl: ""
    # DEVOPS_DOCKER_REGISTRY_REPOSITORY_NAME
    devopsDockerRegistryRepositoryName: ""
    # DEVOPS_DOCKER_REGISTRY_USERNAME
    devopsDockerRegistryUsername: ""
  secrets:
    secretStoreRef:
      kind: FreeleapsSecretStore
      name: freeleaps-main-secret-store
    target:
      name: "freeleaps-devsvc-secrets"
      creationPolicy: "Owner"
    refreshInterval: 30s
    data:
      - key: giteaToken
        remoteRef:
          key: "freeleaps-alpha-gitea-token"
          type: Secret
      - key: mongodbUri
        remoteRef:
          key: "freeleaps-alpha-mongodb-uri"
          type: Secret
      - key: rabbitmqPassword
        remoteRef:
          key: "freeleaps-alpha-rabbitmq-password"
          type: Secret
      - key: defaultGitPassword
        remoteRef:
          key: "freeleaps-alpha-gitea-password"
          type: Secret
      - key: devopsDefaultRegistryUsername
        remoteRef:
          key: freeleaps-prod-devops-registry-username
          type: Secret
      - key: devopsDefaultRegistryPassword
        remoteRef:
          key: freeleaps-prod-devops-registry-password
          type: Secret
      - key: devopsDockerRegistryPassword
        remoteRef:
          key: "freeleaps-alpha-devops-docker-registry-password"
          type: Secret
  vpa:
    minAllowed:
      enabled: false
      cpu: "0.5"
      memory: "512Mi"
    maxAllowed:
      enabled: true
      cpu: "1"
      memory: "1Gi"
    controlledResources:
      - cpu
      - memory